For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The TimeOff object
          • GET/time-off
          • POST/time-off
          • GET/time-off/{id}
          • GET/time-off/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsTime off

/time-off/{id}

GET
/hris/v1/time-off/:id
GET
/api/hris/v1/time-off/:id
$curl -G https://api.merge.dev/api/hris/v1/time-off/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=employee,approver \
> --data-urlencode remote_fields=request_type,status,units \
> --data-urlencode show_enum_origins=request_type,status,units
200Retrieved
1{
2 "id": "91b2b905-e866-40c8-8be2-efe53827a0aa",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "employee": "d2f972d0-2526-434b-9409-4c3b468e08f0",
7 "approver": "9efbc633-3387-4306-aa55-e2c635e6bb4f",
8 "status": "APPROVED",
9 "employee_note": "Moving into the new apartment Kendall Roy gave me!",
10 "units": "DAYS",
11 "amount": 3,
12 "request_type": "VACATION",
13 "start_time": "2020-11-10T00:00:00Z",
14 "end_time": "2020-11-17T00:00:00Z",
15 "remote_was_deleted": true,
16 "field_mappings": {
17 "organization_defined_targets": {
18 "custom_key": "custom_value"
19 },
20 "linked_account_defined_targets": {
21 "custom_key": "custom_value"
22 }
23 },
24 "remote_data": [
25 {
26 "path": "/leave",
27 "data": null
28 }
29 ]
30}

Returns a TimeOff object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/time-off

Next

/time-off/meta/post

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
employeestring or nullformat: "uuid"
The employee requesting time off.
approverstring or nullformat: "uuid"
The Merge ID of the employee with the ability to approve the time off request.
statusenum or null

The status of this time off request.

  • REQUESTED - REQUESTED
  • APPROVED - APPROVED
  • DECLINED - DECLINED
  • CANCELLED - CANCELLED
  • DELETED - DELETED
Allowed values:
employee_notestring or null
The employee note for this time off request.
unitsenum or null

The measurement that the third-party integration uses to count time requested.

  • HOURS - HOURS
  • DAYS - DAYS
Allowed values:
amountdouble or null

The time off quantity measured by the prescribed “units”.

request_typeenum or null

The type of time off request.

  • VACATION - VACATION
  • SICK - SICK
  • PERSONAL - PERSONAL
  • JURY_DUTY - JURY_DUTY
  • VOLUNTEER - VOLUNTEER
  • BEREAVEMENT - BEREAVEMENT
start_timedatetime or null
The day and time of the start of the time requested off.
end_timedatetime or null
The day and time of the end of the time requested off.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more